autodie::exception::system(3p)

NAME
autodie::exception::system - Exceptions from autodying system().

SYNOPSIS
    eval {
        use autodie qw(system);

        system($cmd, @args);

    };

    if (my $E = $@) {
        say "Ooops!  ",$E->caller," had problems: $@";
    }

DESCRIPTION
This is a autodie::exception class for failures from the "system" command.

Presently there is no way to interrogate an "autodie::exception::system" object for the command, exit status, and other information you'd expect such an object to hold. The interface will be expanded to accommodate this in the future.

  stringify
When stringified, "autodie::exception::system" objects currently use the message generated by IPC::System::Simple.

LICENSE
Copyright (C)2008 Paul Fenwick

This is free software. You may modify and/or redistribute this code under the same terms as Perl 5.10 itself, or, at your option, any later version of Perl 5.

AUTHOR
Paul Fenwick <pjf@perltraining.com.au>